//FEBU - [2020-06-22 11:41:46]
#ifndef _FEBU_H_
#define _FEBU_H_

#include "XMATH.h"
#include "FETU.h"

/*
0014A1B4 FEBU_DrawBoxOutline(float,float,float,float,float,uint)
0014A254 FEBU_DrawX2MessageBoxBG(TRect *,int)
0014A26C FEBU_DrawX2MessageBoxBG(float,float,float,float,int)
0014A2D8 FEBU_DrawBoxFilledWhiteOutline(float,float,float,float,uint)
0014A3C4 FEBU_DrawButton(float,float,bool,float)
0014F7D8 FEBU_9SliceBox(char const*,int,int,int,float,float,float,float,uint,uint,float,float,float)
0014F830 FEBU_9SliceBox(char const*,int,int,int,float,float,float,float,uint,uint,uint,uint,uint,float,float,float)
0014FEA0 FEBU_DrawBoxPartColour(TImage *,TRect,TRect,uint,uint,uint,uint,TRect,float,float,float)
0014FF38 FEBU_DrawBoxPartColour(TRect,TRect,uint,uint,uint,uint,float,float,float)
0014FFB0 FEBU_GetBoxColour(TRect,TRect,uint,uint,uint,uint,uint &,uint &,uint &,uint &)

0014F7D8
0014F830
0014FEA0
0014FF38
0014FFB0
*/

//0014A1B4
void FEBU_DrawBoxOutline(float, float, float, float, float, uint);

//0014A254
void FEBU_DrawX2MessageBoxBG(TRect *, int);

//0014A26C
void FEBU_DrawX2MessageBoxBG(float, float, float, float, int);

//0014A2D8
void FEBU_DrawBoxFilledWhiteOutline(float, float, float, float, uint);

//0014A3C4
void FEBU_DrawButton(float, float, bool, float);

//0014F7D8
void FEBU_9SliceBox(char const *, int, int, int, float, float, float, float, uint, uint, float, float, float);

//0014F830
void FEBU_9SliceBox(char const *, int, int, int, float, float, float, float, uint, uint, uint, uint, uint, float, float, float);

//0014FEA0
void FEBU_DrawBoxPartColour(TImage *, TRect, TRect, uint, uint, uint, uint, TRect, float, float, float);

//0014FF38
void FEBU_DrawBoxPartColour(TRect, TRect, uint, uint, uint, uint, float, float, float);

//0014FFB0
void FEBU_GetBoxColour(TRect, TRect, uint, uint, uint, uint, uint &, uint &, uint &, uint &);

//-------------------------------------------------------------------------------------------------
#endif  //_FEBU_H_